posix_getpid
posix_getpwnam
POSIX Functions
PHP Manual

# posix_getppid

(PHP 4, PHP 5)

posix_getppid — Return the parent process identifier

### Description

int posix_getppid ( void )

Return the process identifier of the parent process of the current process.

### Return Values

Returns the identifier, as an integer.

### Examples

Example #1 Example use of posix_getppid()

`<?php
echo posix_getppid(); //8259
?>`

posix_getpid
posix_getpwnam
POSIX Functions
PHP Manual